
If you have not understood yet, I'm delivering this assignment fully expecting to get zero points, and I just wanted to have some fun with it. 
I have been sick for the past week and a half, but I will return and do work on Part 3.
